///File : DialogInfoGeneral.hpp
//------------------------------------------------------------------------------
/*
    This file is part of DevisMaker.

    DevisMaker is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    DevisMaker is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with DevisMaker.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#ifndef DIALOG_INFO_GENERAL_HPP_DEVIS_MAKER
#define DIALOG_INFO_GENERAL_HPP_DEVIS_MAKER
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include "config.hpp"
#include "buildVersionOptions.hpp"
//------------------------------------------------------------------------------
#include <DevisManager.hpp>
//------------------------------------------------------------------------------
#include "strWxStdConv.hpp"
#include "DialogProperty.hpp"
#include "DialogInfoDevis.hpp"
#include "DialogMdoEdit.hpp"
//------------------------------------------------------------------------------
class DialogInfoGeneral : public DialogProperty
{
public:
	DialogInfoGeneral( wxWindow* parent, wxWindowID id, GeneralCfg *generalCfgStr, const wxString& title = _("General propreties"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxSize( 600, 700 ), long style = wxDEFAULT_DIALOG_STYLE );

    void OnEditDefaultDevis(wxCommandEvent& event);
    void OnEditPreInfo(wxCommandEvent& event);
    void OnEditPostInfo(wxCommandEvent& event);

    void DialogEditPrePostInfo(const std::string &mainMdoSizerName);

protected:
    GeneralCfg *m_generalCfg;
};

#endif //DIALOG_INFO_GENERAL_HPP_DEVIS_MAKER
